import BaseApplicationGenerator from '../base-simple-application/index.ts';
import type { Application as CiCdApplication } from './types.ts';
export default class CiCdGenerator extends BaseApplicationGenerator<CiCdApplication> {
    [BaseApplicationGenerator.COMPOSING]: Record<"composeProviders", import("../base-core/types.js").GenericTask<any, import("../base/tasks.js").TaskParamWithControl>>;
    [BaseApplicationGenerator.PREPARING]: Record<"preparing", import("../base-core/types.js").GenericTask<any, import("../base/tasks.js").TaskParamWithControl & {
        source: import("./types.ts").Source;
    } & {
        application: CiCdApplication;
    } & import("../base-simple-application/tasks.js").ApplicationDefaultsTaskParam<CiCdApplication>>>;
    beforeQueue(): Promise<void>;
    get composing(): Record<"composeProviders", import("../base-core/types.js").GenericTask<any, import("../base/tasks.js").TaskParamWithControl>>;
    get preparing(): Record<"preparing", import("../base-core/types.js").GenericTask<any, import("../base/tasks.js").TaskParamWithControl & {
        source: import("./types.ts").Source;
    } & {
        application: CiCdApplication;
    } & import("../base-simple-application/tasks.js").ApplicationDefaultsTaskParam<CiCdApplication>>>;
    shouldAskForPrompts(): boolean;
}
